require 'g-gem'

check_list = {
  # special cases
  'BlueCloth' => 'bluecloth',
  'KirbyBase' => 'kirbybase',
  'libxml-ruby' => 'libxml',
  'RedCloth' => 'redcloth',
  'mega' => 'mega-modules',
  'nano' => 'nano-methods',
  'gettext' => 'ruby-gettext',
  'snmp' => 'snmplib',
  'ZenTest' => 'zentest',
  'NGSLib-RFile' => 'ngslib-rfile',
  'tRuTag' => 'trutag',

  'ActiveRecord-JDBC' => 'active-record-jdbc',
  'AdministratedScaffold' => 'administrated-scaffold',
  'AntBuilder' => 'ant-builder',
  'Aplo' => 'aplo',
  'Bangkok' => 'bangkok',
  'BitStructEx' => 'bit-struct-ex',
  'Bloglines4R' => 'bloglines4r',
  'BuildMaster' => 'build-master',
  'BxMS' => 'bxms',
  'cacheAR' => 'cachear',
  'ClickSpotter' => 'click-spotter',
  'CommandLine' => 'command-line',
  'Console' => 'console',
  'Crypt::ISAAC' => 'crypt-isaac',
  'DBrb' => 'dbrb',
  'De.linque.nt' => 'de-linque-nt',
  'EliteJournal' => 'elite-journal',
  'FaceToFace' => 'face-to-face',
  'FakeWeb' => 'fake-web',
  'FixedPt' => 'fixed-pt',
  'FixedWidthFields' => 'fixed-width-fields',
  'Freshmeat-Ruby' => 'freshmeat-ruby',
  'fUnit' => 'f-unit',
  'GeoRuby' => 'geo-ruby',
  'GpsTrail' => 'gps-trail',
  'Graphiclious' => 'graphiclious',
  'IMAPCleanse' => 'imap-cleanse',
  'Imlib2-Ruby' => 'imlib2-ruby',
  'IO-Reactor' => 'io-reactor',
  'LibrarySolution' => 'library-solution',
  'Linguistics' => 'linguistics',
  'LogSimple' => 'log-simple',
  'MB-Ruby' => 'mb-ruby',
  'MP4Info' => 'mp4info',
  'MultipartAlternativeLite' => 'multipart-alternative-lite',
  'Mxx_ru' => 'mxx-ru',
  'Nabaztag' => 'nabaztag',
  'ObjectGraph' => 'object-graph',
  'OptionParser' => 'option-parser',
  'Orbjson' => 'orbjson',
  'PageTemplate' => 'page-template',
  'ParseTree' => 'parse-tree',
  'ParseUserAgent' => 'parse-user-agent',
  'Pimki' => 'pimki',
  'Platform' => 'platform',
  'PrettyException' => 'pretty-exception',
  'PriorityQueue' => 'priority-queue',
  'RailsEditor' => 'rails-editor',
  'RAliasFile' => 'ralias-file',
  'RbYAML' => 'rbyaml',
  'RedGreen' => 'red-green',
  'Renamer' => 'renamer',
  'RGnuchess' => 'rgnuchess',
  'Ridiculous' => 'ridiculous',
  'RingyDingy' => 'ringy-dingy',
  'Rubernate' => 'rubernate',
  'Rubidium' => 'rubidium',
  'Rubilicious' => 'rubilicious',
  'Ruboid' => 'ruboid',
  'RubyInline' => 'ruby-inline',
  'Ruby-IRC' => 'ruby-irc',
  'Ruby-MemCache' => 'ruby-mem-cache',
  'rubySelenium' => 'ruby-selenium',
  'RubyToC' => 'ruby-toc',
  'RuCodeGen' => 'ru-code-gen',
  'Schmock' => 'schmock',
  'Scratch' => 'scratch',
  'Shunt' => 'shunt',
  'SI' => 'si',
  'SimpleSearch' => 'simple-search',
  'SimpleTrace' => 'simple-trace',
  'Soks' => 'soks',
  'SQLDependencyGrapher' => 'sql-dependency-grapher',
  'SvnLog' => 'svn-log',
  'SwedishTV' => 'swedishtv',
  'TeleAuth' => 'tele-auth',
  'Text' => 'text',
  'Tracker' => 'tracker',
  'Usage' => 'usage',
  'VPaypal' => 'vpaypal',
  'VRTools' => 'vr-tools',
  'WeightedSelection' => 'weighted-selection',
  'Wiki2Go' => 'wiki2go',
  'XDCC-Fetch' => 'xdcc-fetch',
  'ZenHacks' => 'zen-hacks',
}


error_list = []
for src,result in check_list
  unless GGem.ebuild_name(src) == result
    error_list << "#{src} => #{GGem.ebuild_name(src)} (right value is #{result})"
  end
end

puts error_list.join("\n") unless error_list.empty?
